@echo off
echo ---------------------------------------------------------
echo     〈〈〈 欢迎使用 HyperSnap 8.05.01 (32位) 汉化补丁 〉〉〉
echo ---------------------------------------------------------
echo         汉化人：烈火，主页：http://www.hrtsea.com
echo ---------------------------------------------------------
echo .
echo 1、本补丁仅适用于 8.05.01 官方原始英文版
echo    下载 http://www.hyperionics.com/downloads/HS8Setup32.exe
echo .
echo 2、本补丁将把英文版语言资源汉化为简体中文
echo .
echo 3、本补丁不包含任何破解、注册以及其它涉及版权的内容
echo .
echo ---------------------------------------------------------
echo .
echo [!] 注意事项:
echo .
echo 1、必须将本汉化补丁放在 HyperSnap 主程序所在的目录中运行。
echo    例如 Win7 下目录是 C:\Program Files (x86)\HyperSnap 8
echo .
echo 2、请注意 UAC 权限的设置, 否则可能导致汉化失败。
echo .
echo ---------------------------------------------------------
echo .
echo [!] 请按任何键开始汉化……
echo .
pause
echo .
echo [!] 正在进行汉化，请勿关闭本窗口……
echo .
VPatch.exe BCGCBPRO2300u120.dll BCGCBPRO2300u120SC.dll 2>nul
VPatch.exe HprRes8.dll HprRes8SC.dll  2>nul
ren BCGCBPRO2300u120.dll BCGCBPRO2300u120.dll.bak 2>nul
ren HprRes8.dll HprRes8.dll.bak 2>nul
ren BCGCBPRO2300u120SC.dll BCGCBPRO2300u120.dll 2>nul
ren HprRes8SC.dll HprRes8.dll 2>nul
echo .
echo [!] 汉化结束，请按任何键关闭窗口……
echo .
pause